/* File: main.c -- zu Kap. 3.1 Argumente an main (getopt)
   Fkt.: Auswertung der Argumente einer Kommandozeile mit getopt(),
	 Optionen -abcdef ohne Arg., -uvwxyz mit Arg.,
	 Ausgabe getrennt nach Optionen und Parametern */
#define void int /* nicht ANSI-C */
#include <stdio.h>
extern char *optarg;
extern int optind;
void main(argc, argv)
char **argv;
{	int opt;
	while((opt = getopt(argc, argv, "abcdefu:v:w:x:y:z:")) != EOF)
		switch (opt) {
		case 'a':
		case 'b':
		case 'c':
		case 'd':
		case 'e':
		case 'f': printf("Flag = %c\n", opt); break;
		case 'u':
		case 'v':
		case 'w':
		case 'x':
		case 'y':
		case 'z': printf("Flag = %c ; ", opt);
			  printf("Arg. = %s\n", optarg); break;
		case '?': exit(1);
	}
	for (opt=optind; opt < argc; opt++)
			printf("Arg. = %s\n", argv[opt]);
	printf("okey\n");
}
